
Katello - Feature #5968

Proxy candlepin request to get available releases to System.available_releases

05/28/2014 12:43 PM - Michael Stead

Status: Closed   

Priority: Normal   

Assignee: Michael Stead   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1104795 Red Hat JIRA:  

Pull request:    

Description

Katello should intercept requests to GET /consumers/:id/available_releases and return the system's available release versions as

viewed by katello.

RHSM will leverage this and bypass its default CDN lookup in order to report the same set as katello.

More Info Here:

https://mojo.redhat.com/docs/DOC-960839

Associated revisions

Revision f40affde - 06/03/2014 11:36 AM - Michael Stead

Fixes #5968: Intercept candlepin request to get available releases

Intercept requests to GET /consumers/:id/available_releases and return

the system's available release versions as viewed by katello.

Added /api/available_releases to the root resource so that RHSM

can check to see if it is enabled on the server.

This API is only intended to be called by a registered consumer.

Revision 7121ed5e - 06/04/2014 08:13 PM - Eric Helms

Merge pull request #4181 from mstead/Fixes-5968-release-versions

Fixes #5968: Intercept candlepin request to get available releases

History

#1 - 05/29/2014 07:39 PM - Eric Helms

- Status changed from New to Assigned

- Target version set to 45

- Triaged changed from No to Yes

#2 - 06/04/2014 05:33 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1104795

#3 - 06/04/2014 08:53 PM - Michael Stead

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:f40affde90c4b53694b87f0b071329cdfa6cfa83.

#4 - 08/22/2014 08:28 AM - Eric Helms

- translation missing: en.field_release set to 13
